package com.hungraim.ism.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ism.pojo.vo.disable.ApplicationManagementInfoVO;
import com.hungraim.ism.pojo.vo.disable.ApplicationManagementVO;
import com.hungraim.ltc.pojo.entity.disable.ChDisableApplyHis;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 失能人员申请历史Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface DisableApplyHisMapper extends BaseMapper<ChDisableApplyHis> {
    /**
     * 查询待遇申请管理列表
     *
     * @param organId       机构代码
     * @param provincial    省
     * @param city          市
     * @param area          区
     * @param name          参保人员姓名
     * @param certiCode     参保人身份证号码
     * @param treatmentType 待遇类型
     * @param applyStatus   审核状态
     */
    Page<ApplicationManagementVO> applicationManagementList(Page<ApplicationManagementVO> page, String organId, String provincial, String city, String area, String name, String certiCode, String treatmentType, String applyStatus);

    ApplicationManagementInfoVO selectApplicationManagementInfoById(String id);
}
